# slurm.conf
#
# See the slurm.conf man page for more information.
#
ClusterName=linux
ControlMachine=GO1
#ControlAddr=192.168.30.74
#BackupController=
#BackupAddr=
#
SlurmUser=slurm
#SlurmdUser=root
SlurmctldPort=6817
SlurmdPort=6818
#SrunPortRange=8000-8010
AuthType=auth/munge
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
StateSaveLocation=/var/lib/slurmd
SlurmdSpoolDir=/var/spool/slurmd
SwitchType=switch/none
MpiDefault=none
SlurmctldPidFile=/var/run/slurmd/slurmctld.pid
SlurmdPidFile=/var/run/slurmd/slurmd.pid
ProctrackType=proctrack/pgid
#PluginDir=
CacheGroups=0
#FirstJobId=
ReturnToService=1
#MaxJobCount=
#PlugStackConfig=
#PropagatePrioProcess=
#PropagateResourceLimits=
#PropagateResourceLimitsExcept=
#Prolog=
#Epilog=
#SrunProlog=
#SrunEpilog=
#TaskProlog=
#TaskEpilog=
TaskPlugin=task/none
#TrackWCKey=no
#TreeWidth=50
#TmpFS=
#UsePAM=
#
# TIMERS
SlurmctldTimeout=300
SlurmdTimeout=300
InactiveLimit=0
MinJobAge=300
KillWait=30
Waittime=0
#
# SCHEDULING
SelectType=select/linear
#SchedulerType=sched/builtin
#SchedulerAuth=
#SchedulerPort=
#SchedulerRootFilter=
#SelectType=select/cons_res
#SelectTypeParameters=CR_CPU_Memory
FastSchedule=1
#PriorityType=priority/multifactor
#PriorityDecayHalfLife=14-0
#PriorityUsageResetPeriod=14-0
#PriorityWeightFairshare=100000
#PriorityWeightAge=1000
#PriorityWeightPartition=10000
#PriorityWeightJobSize=1000
#PriorityMaxAge=1-0
#
# LOGGING
SlurmctldDebug=7
SlurmctldLogFile=/var/log/slurmctld.log
SlurmdDebug=7
SlurmdLogFile=/var/log/slurmd.log
JobCompType=jobcomp/none
#JobCompLoc=
#
# ACCOUNTING
#JobAcctGatherType=jobacct_gather/linux
#JobAcctGatherFrequency=30
#
#AccountingStorageType=accounting_storage/slurmdbd
#AccountingStorageHost=
#AccountingStorageLoc=
#AccountingStoragePass=
#AccountingStorageUser=
#
# COMPUTE NODES
#NodeName=sgo1 NodeHostName=go1 NodeAddr=192.168.30.74 CPUs=8 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=7785 TmpDisk=10229
#NodeName=sgo2 NodeHostName=go2 NodeAddr=192.168.30.141 CPUs=8 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=7785 TmpDisk=10229
#NodeName=sgo3 NodeHostName=go3 NodeAddr=192.168.30.68 CPUs=8 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=7785 TmpDisk=10229
#NodeName=sgo4 NodeHostName=go4 NodeAddr=192.168.30.70 CPUs=8 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=7785 TmpDisk=10229
#NodeName=sgo5 NodeHostName=go5 NodeAddr=192.168.30.72 CPUs=8 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=7785 TmpDisk=10229
#NodeName=sgo[1-5] NodeHostName=GO[1-5] CPUs=8 #NodeAddr=192.168.30.[74,141,68,70,72] 
#NodeName=GO1 NodeAddr=192.168.30.74 #NodeHostName=GO[1-5] CPUs=8 
#NodeName=GO2 NodeAddr=192.168.30.141
#NodeName=GO3 NodeAddr=192.168.30.68
#NodeName=GO4 NodeAddr=192.168.30.70
#NodeName=GO5 NodeAddr=192.168.30.72
NodeName=go[1-5] NodeHostName=GO[1-5] CPUs=8 #NodeAddr=192.168.30.[74,141,68,70,72]
#
# PARTITIONS
#PartitionName=party Default=yes Nodes=sgo[1-5] Priority=50 DefMemPerCPU=500 Shared=NO MaxNodes=5 MaxTime=5-00:00:00 DefaultTime=5-00:00:00 State=UP
#PartitionName=party Default=yes Nodes=ALL
PartitionName=debug Default=yes Nodes=ALL
